<script setup lang="ts">
import * as Pkg from 'edsjs-test-pkg-ui';
import 'edsjs-test-pkg-ui/style.css';
import {onMounted} from 'vue';
import {useRoute} from 'vue-router';
const route = useRoute();
onMounted(() => {
  const search = route.query;
  console.log('SEARCH PARAMS', search);
  const {uuid} = search || {}
  // todo: тут как то по UUID мы поняли что именно нужно подписать и каким способом
  const opts = uuid ? {
    autostart: true,
    unsigned_message: 'Текст для подписи в uuid = ' + (uuid || 'no uuid'),
    onSignedMessage: 'BLAHß'
  } : {autostart: false};
  Pkg.runApp('#page-iframe-target', opts);
  const htmlEl = document.querySelector('html');
  if (htmlEl) {
    htmlEl.style.overflowY = 'auto';
  }
})
</script>

<template>
  <div id="page-iframe-target">
    <CdsLoader/>
    <p>Инициализация виджета</p>
  </div>
</template>
